radius_put_int
radius_put_vendor_addr
Radius Funktionen
PHP Manual

# radius_put_string

(PECL radius >= 1.1.0)

radius_put_string — Attaches a string attribute

### Beschreibung

bool radius_put_string ( resource `$radius_handle` , int `$type` , string `$value` [, int `$options` = 0 [, int `$tag` ]] )

Attaches a string attribute to the current RADIUS request. In general, radius_put_attr() is a more useful function for attaching string attributes, as it is binary safe.

> Hinweis:

> A request must be created via radius_create_request() before this function can be called.

### Parameter-Liste

`radius_handle`

  The RADIUS resource.

`type`

  The attribute type.

`value`

  The attribute value. This value is expected by the underlying library to be null terminated, therefore this parameter is not binary safe.

`options`

  A bitmask of the attribute options. The available options include `RADIUS_OPTION_TAGGED` and `RADIUS_OPTION_SALT`.

`tag`

  The attribute tag. This parameter is ignored unless the `RADIUS_OPTION_TAGGED` option is set.

### Rückgabewerte

Gibt bei Erfolg `TRUE` zurück. Im Fehlerfall wird `FALSE` zurückgegeben.

### Changelog

Version | Beschreibung
--- | ---
PECL radius 1.3.0 | The `options` and `tag` parameters were added.

### Beispiele

Beispiel #1 radius_put_string() example

`<?php
if (!radius_put_string($res, RADIUS_USER_NAME, 'billy')) {
echo 'RadiusError:' . radius_strerror($res). "\n<br />";
exit;
}
?>`

### Siehe auch

- radius_put_int() - Attaches an integer attribute
- radius_put_vendor_int() - Attaches a vendor specific integer attribute
- radius_put_vendor_string() - Attaches a vendor specific string attribute

radius_put_int
radius_put_vendor_addr
Radius Funktionen
PHP Manual